summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2005-10-25 03:06:01 +0000
committerMike Frysinger <vapier@gentoo.org>2005-10-25 03:06:01 +0000
commitd0d859d019f9f5fc8d94918b2ae24483fe33a70d (patch)
tree90b03cb2d0796a1a1b5f48ab39ebde3bc2b35c5b /eclass/horde.eclass
parentAdded ~amd64 keyword. Closes bug #110153. (diff)
downloadhistorical-d0d859d019f9f5fc8d94918b2ae24483fe33a70d.tar.gz
historical-d0d859d019f9f5fc8d94918b2ae24483fe33a70d.tar.bz2
historical-d0d859d019f9f5fc8d94918b2ae24483fe33a70d.zip
allow users to use just php instead of mod_php
Diffstat (limited to 'eclass/horde.eclass')
-rw-r--r--eclass/horde.eclass9
1 files changed, 5 insertions, 4 deletions
diff --git a/eclass/horde.eclass b/eclass/horde.eclass
index b2f7d47e1c8b..1ef6bcd2f1a8 100644
--- a/eclass/horde.eclass
+++ b/eclass/horde.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/horde.eclass,v 1.24 2005/07/11 15:08:06 swegener Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/horde.eclass,v 1.25 2005/10/25 03:06:01 vapier Exp $
#
# Help manage the horde project http://www.horde.org/
#
@@ -78,11 +78,12 @@ horde_pkg_setup() {
param="-o"
HORDE_PHP_FEATURES=${HORDE_PHP_FEATURES:2}
fi
- if ! built_with_use ${param} mod_php ${HORDE_PHP_FEATURES} ; then
- eerror "You MUST re-emerge mod_php with at least one of"
+ if ! built_with_use ${param} mod_php ${HORDE_PHP_FEATURES} && \
+ ! built_with_use ${param} php ${HORDE_PHP_FEATURES} ; then
+ eerror "You MUST re-emerge php with at least one of"
eerror "the following options in your USE:"
eerror " ${HORDE_PHP_FEATURES}"
- die "current mod_php install cannot support ${HORDE_PN}"
+ die "current php install cannot support ${HORDE_PN}"
fi
fi
}